Stop forgetting servers when DNS cannot find their hostname.
In practice, "hostname nor servname provided, or not known" is often a
transient error returned if the Internet connection is down (yes that is
wrong) or if the IRC network has DNS problems.
Index: irssi/src/core/servers.c
===================================================================
--- irssi.orig/src/core/servers.c	2006-05-29 17:39:02.000000000 +0200
+++ irssi/src/core/servers.c	2006-12-29 12:32:32.000000000 +0100
@@ -281,11 +281,14 @@
 		server_real_connect(server, ip, NULL);
 		errormsg = NULL;
 	} else {
+#if 0
+		/* This is more annoying than useful -- jilles */
 		if (iprec.error == 0 || net_hosterror_notfound(iprec.error)) {
 			/* IP wasn't found for the host, don't try to
 			   reconnect back to this server */
 			server->dns_error = TRUE;
 		}
+#endif
 
 		if (iprec.error == 0) {
 			/* forced IPv4 or IPv6 address but it wasn't found */
